From b8d6562d19ff281b123360675b84b4dee40c6b08 Mon Sep 17 00:00:00 2001
From: Joshua Duong <joshuaduong@google.com>
Date: Thu, 14 Feb 2019 11:53:35 -0800
Subject: [PATCH] PATCH (Qt 5.12.1): Filter dlls for plugin loading.

Whenever updating the Qt source, please apply this patch.

Change-Id: Ife1ee6b2bc4bc8d8120e503040f5508440bd162f
---
 5.12.1/qtbase/src/corelib/plugin/qfactoryloader.cpp | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/5.12.1/qtbase/src/corelib/plugin/qfactoryloader.cpp b/5.12.1/qtbase/src/corelib/plugin/qfactoryloader.cpp
index 35c64180d4..9bc1908193 100644
--- a/5.12.1/qtbase/src/corelib/plugin/qfactoryloader.cpp
+++ b/5.12.1/qtbase/src/corelib/plugin/qfactoryloader.cpp
@@ -202,8 +202,14 @@ void QFactoryLoader::update()
             continue;
 
         QStringList plugins = QDir(path).entryList(
-#ifdef Q_OS_WIN
+#if defined(Q_OS_WIN)
                     QStringList(QStringLiteral("*.dll")),
+#elif defined(Q_OS_MAC)
+                    QStringList(QStringLiteral("*.dylib*")),
+#elif defined(Q_OS_LIN)
+                    QStringList(QStringLiteral("*.so*")),
+#else
+                    QStringList(QStringLiteral("*")),
 #endif
                     QDir::Files);
         QLibraryPrivate *library = 0;
-- 
2.23.0.rc1.153.gdeed80330f-goog

